pb en installant cryptsetup

Le
Thierry B
Bonjour,

Voila ce que j'ai eu en voulant installer cryptsetup:

# aptitude install cryptsetup
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets Fait
Lecture des descriptions de tâches Fait
Construction de la base de données des étiquettes Fait
Les NOUVEAUX paquets suivants vont être installés :
cryptsetup
0 paquets mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis
à jour.
Il est nécessaire de télécharger 273ko d'archives. Après dépaquetage,
774ko seront utilisés.
Écriture de l'information d'état étendu Fait
Prendre : 1 http://ftp.debian.org etch/main cryptsetup 2:1.0.4+svn26-1
[273kB]
273ko téléchargés en 4s (66,4ko/s)
Sélection du paquet cryptsetup précédemment désélectionné.
(Lecture de la base de données 143639 fichiers et répertoires déjà
installés.)
Dépaquetage de cryptsetup (à partir de
/cryptsetup_2%3a1.0.4+svn26-1_i386.deb)
Paramétrage de cryptsetup (1.0.4+svn26-1)

/boot/initrd.img-2.6.18.0703181659 does not exist. Cannot update.


Il y a un moment j'avais compilé un noyau (méthode debian) qui avait
comme suffixe 2.6.18.0703181659, mais je l'avais viré par la suite.
J'avais consttaté que le fichier initrd.img de ce noyau n'avait pas ete
supprimé malgrès la suppression du package, et donc j'ai viré l'initrd
manuellement

Donc, je n'utilise plus du tout ce noyau.

D'ailleurs, si je fais un uname -a, j'ai ceci:

# uname -a
Linux portableTeil 2.6.18.0702050037 #1 SMP Mon Feb 5 00:43:20 CET 2007
i686 GNU/Linux

# update-grub
Searching for GRUB installation directory found: /boot/grub
Searching for default file found: /boot/grub/default
Testing for an existing GRUB menu.lst file found: /boot/grub/menu.lst
Searching for splash image found:
(hd0,0)/boot/grub/splashimages/debsplash.xpm.gz

Found kernel: /boot/vmlinuz-2.6.18.0702050037
Found kernel: /boot/vmlinuz-2.6.18-3-686
Found kernel: /boot/vmlinuz-2.6.18-1-686
Updating /boot/grub/menu.lst done

# ls -l /lib/modules/
total 2
drwxr-xr-x 5 root root 536 2007-03-29 22:46 2.6.18.0702050037
drwxr-xr-x 5 root root 512 2006-12-20 20:10 2.6.18-1-686
drwxr-xr-x 4 root root 488 2007-02-11 20:30 2.6.18-3-686

Donc, pourquoi cryptsetup, essaie d''utiliser l'initrd de ce noyau qui
n'existe plus?

Merci :-)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Thierry B
Le #9536121
Thierry B a écrit :
Bonjour,

Voila ce que j'ai eu en voulant installer cryptsetup:

# aptitude install cryptsetup
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Construction de la base de données des étiquettes... Fait
Les NOUVEAUX paquets suivants vont être installés :
cryptsetup
0 paquets mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis
à jour.
Il est nécessaire de télécharger 273ko d'archives. Après dépaquetage,
774ko seront utilisés.
Écriture de l'information d'état étendu... Fait
Prendre : 1 http://ftp.debian.org etch/main cryptsetup 2:1.0.4+svn26-1
[273kB]
273ko téléchargés en 4s (66,4ko/s)
Sélection du paquet cryptsetup précédemment désélectionné.
(Lecture de la base de données... 143639 fichiers et répertoires déjà
installés.)
Dépaquetage de cryptsetup (à partir de
.../cryptsetup_2%3a1.0.4+svn26-1_i386.deb) ...
Paramétrage de cryptsetup (1.0.4+svn26-1) ...
------------------------------------------------------------------
/boot/initrd.img-2.6.18.0703181659 does not exist. Cannot update.
------------------------------------------------------------------

Il y a un moment j'avais compilé un noyau (méthode debian) qui avait
comme suffixe 2.6.18.0703181659, mais je l'avais viré par la suite.
J'avais consttaté que le fichier initrd.img de ce noyau n'avait pas ete
supprimé malgrès la suppression du package, et donc j'ai viré l'initrd
manuellement...

Donc, je n'utilise plus du tout ce noyau.

D'ailleurs, si je fais un uname -a, j'ai ceci:

# uname -a
Linux portableTeil 2.6.18.0702050037 #1 SMP Mon Feb 5 00:43:20 CET 2007
i686 GNU/Linux

# update-grub
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... found:
(hd0,0)/boot/grub/splashimages/debsplash.xpm.gz

Found kernel: /boot/vmlinuz-2.6.18.0702050037
Found kernel: /boot/vmlinuz-2.6.18-3-686
Found kernel: /boot/vmlinuz-2.6.18-1-686
Updating /boot/grub/menu.lst ... done

# ls -l /lib/modules/
total 2
drwxr-xr-x 5 root root 536 2007-03-29 22:46 2.6.18.0702050037
drwxr-xr-x 5 root root 512 2006-12-20 20:10 2.6.18-1-686
drwxr-xr-x 4 root root 488 2007-02-11 20:30 2.6.18-3-686

Donc, pourquoi cryptsetup, essaie d''utiliser l'initrd de ce noyau qui
n'existe plus?

Merci :-)





Re,

D'ailleurs, on dirait que certains de ces noyaux n'ont pas ete bien
desinstallés, pq par autocompletion, je les ai avec aptitude:

# aptitude install linux-image-2.6.18

linux-image-2.6.18.070318
linux-image-2.6.18.0703181659

Mais ils ne sont pas detectés avec dpkg et ne sont pas présents au
autocomplétion avec "remove" ou "purge" d'aptitude.

Que me conseillez-vous de faire? :-(

Merci :)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Pierre THIERRY
Le #9536111
--EDT6MSV0B3GxyNyZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Scribit Thierry B dies 04/04/2007 hora 02:21:
Que me conseillez-vous de faire? :-(



# grep -r 070318 /etc

Brièvement,
Pierre
--

OpenPGP 0xD9D50D8A

--EDT6MSV0B3GxyNyZ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGEwaUxe13INnVDYoRAk/4AKDmiePW/xxwhs7vO6tz78tZJppWgQCg6+WG
YZKho3FfjY086tI8mMHzFnk ­PY
-----END PGP SIGNATURE-----

--EDT6MSV0B3GxyNyZ--


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9536051
Pierre THIERRY a écrit :
Scribit Thierry B dies 04/04/2007 hora 02:21:
Que me conseillez-vous de faire? :-(



# grep -r 070318 /etc

Brièvement,
Pierre



Re,

Apparemment, ca ne donne rien :-(

# grep -r 070318 /etc
grep: /etc/ssl/certs/cacert.org.pem: Aucun fichier ou répertoire de ce type
grep: /etc/dhcpc/resolv.conf: Aucun fichier ou répertoire de ce type
grep: /etc/peercast/peercast.ini.default: Aucun fichier ou répertoire de
ce type


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9536031
Pierre THIERRY a écrit :
Scribit Thierry B dies 04/04/2007 hora 02:21:
Que me conseillez-vous de faire? :-(



# grep -r 070318 /etc

Brièvement,
Pierre



Re,

Pour initrd.img-2.6.18.0703181659, j'ai résoulu le pb en recompilant mes
sources du 2.6.18, en mettant l'append 2.6.18.0703181659.

Ensuite, j'ai utilisé update-initramfs -s pour supprimer proprement cet
initrd, et desinstallé le package.

Est-ce que je suis obligé de faire cela pour tous les noyaux dont les
initrd, ont ete non proprement desinstallé?

Pq le pb c'est que par exemple pour les initrd provenant de noyaux
2.6.16 ou 2.6.17 précompilé, je vais devoir reinstaller soit lepackage
en backports soit utilisé snampshot, pour reinstaller ces noyaux là et
refaire la procédure que je viens de faire avec le noyau 2.6.18.0703181659.

De plus, même en supprimant ce noyau (2.6.18.0703181659) proprement
(avec aptitude),je remarque qu'il est tjsen autocompletion de "aptitude
install",est-ce normal?

Merci.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Vincent Bernat
Le #9535621
OoO En cette fin de matinée radieuse du mercredi 04 avril 2007, vers
11:05, Thierry B
Pq le pb c'est que par exemple pour les initrd provenant de noyaux
2.6.16 ou 2.6.17 précompilé, je vais devoir reinstaller soit lepackage
en backports soit utilisé snampshot, pour reinstaller ces noyaux là et
refaire la procédure que je viens de faire avec le noyau
2.6.18.0703181659.



Regarde ce que tu as dans /var/lib/initramfs-tools ; il semblerait que
ce soit ce répertoire qui fasse foi pour cet outil.
--
BOFH excuse #306:
CPU-angle has to be adjusted because of vibrations coming from the nearby road


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9535601
Vincent Bernat a écrit :
OoO En cette fin de matinée radieuse du mercredi 04 avril 2007, vers
11:05, Thierry B
Pq le pb c'est que par exemple pour les initrd provenant de noyaux
2.6.16 ou 2.6.17 précompilé, je vais devoir reinstaller soit lepackage
en backports soit utilisé snampshot, pour reinstaller ces noyaux là et
refaire la procédure que je viens de faire avec le noyau
2.6.18.0703181659.



Regarde ce que tu as dans /var/lib/initramfs-tools ; il semblerait que
ce soit ce répertoire qui fasse foi pour cet outil.



Effectivement;

# ls -l /var/lib/initramfs-tools/
total 32
-rw-r--r-- 1 root root 73 2007-04-02 10:21 2.6.16.061001
-rw-r--r-- 1 root root 72 2007-04-02 10:21 2.6.16-2-686
-rw-r--r-- 1 root root 76 2006-10-04 11:26 2.6.16-2-686-smp
-rw-r--r-- 1 root root 72 2006-10-01 22:32 2.6.17-2-686
-rw-r--r-- 1 root root 77 2007-04-04 10:59 2.6.18.0702050037
-rw-r--r-- 1 root root 73 2007-03-18 16:56 2.6.18.070318
-rw-r--r-- 1 root root 72 2007-04-04 10:44 2.6.18-1-686
-rw-r--r-- 1 root root 72 2007-04-04 10:43 2.6.18-3-686

Bravo lol :-)

Donc je pense qu'il me suffit de supprimer les fichiers qui
correspondent aux initrd, que j'avais supprimé manuellement.

Sinon, c'est quand même normal que certains noyaux personnalisés (au
niveau des dates par exemple) que j'avais supprimé, apparaissent en
autocmplétion d'un "aptitude install"?

Merci encore :-)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Vincent Bernat
Le #9535591
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:00, Thierry B
Sinon, c'est quand même normal que certains noyaux personnalisés (au
niveau des dates par exemple) que j'avais supprimé, apparaissent en
autocmplétion d'un "aptitude install"?



Tu utilises quel shell ?
--
BOFH excuse #18:
excess surge protection


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9535571
Vincent Bernat a écrit :
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:00, Thierry B
Sinon, c'est quand même normal que certains noyaux personnalisés (au
niveau des dates par exemple) que j'avais supprimé, apparaissent en
autocmplétion d'un "aptitude install"?



Tu utilises quel shell ?



Re,

Bash :-)

Merci :-)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Vincent Bernat
Le #9535451
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:28, Thierry B
Vincent Bernat a écrit :
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:00, Thierry B
Sinon, c'est quand même normal que certains noyaux personnalisés (au
niveau des dates par exemple) que j'avais supprimé, apparaissent en
autocmplétion d'un "aptitude install"?



Tu utilises quel shell ?





Re,



Bash :-)



Il utilise apt-cache pkgnames, qui je suppose utilise le
/var/lib/dpkg/status. Un paquet supprimé reste dans ce fichier (tu peux
vérifier avec dpkg -l), il t'est donc proposé même si tu ne pourras
manifestement pas l'installer.
--
Avoid unnecessary branches.
- The Elements of Programming Style (Kernighan & Plauger)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9535411
Vincent Bernat a écrit :
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:28, Thierry B
Vincent Bernat a écrit :
OoO La nuit ayant déjà recouvert d'encre ce jour du mercredi 04 avril
2007, vers 23:00, Thierry B
Sinon, c'est quand même normal que certains noyaux personnalisés (au
niveau des dates par exemple) que j'avais supprimé, apparaissent en
autocmplétion d'un "aptitude install"?


Tu utilises quel shell ?





Re,



Bash :-)



Il utilise apt-cache pkgnames, qui je suppose utilise le
/var/lib/dpkg/status. Un paquet supprimé reste dans ce fichier (tu peux
vérifier avec dpkg -l), il t'est donc proposé même si tu ne pourras
manifestement pas l'installer.



Re,

Apparemment non:

# aptitude install linux-image-2.6.18 (auticomplétion)
....
linux-image-2.6.18.070318
linux-image-2.6.18.0703181659
.....

# dpkg -l|grep "linux-image"
ii linux-image-2.6.18-1-686 2.6.18-3
Linux 2.6.18 image on PPro/Celeron/PII/PIII/P4
ii linux-image-2.6.18-3-686 2.6.18-7
Linux 2.6.18 image on PPro/Celeron/PII/PIII/P4
ii linux-image-2.6.18.0702050037 2.6.18.0702050037-10.00.Custom
Linux kernel binary image for version 2.6.18.070205003


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme